Subject: [kitten] Expression of support for Alexey's drafts

From: "Bron Gondwana" <[email-masked]>
Date: Tue, 26 Oct 2021 23:54:38 +1100

Hi all,

For some reason I wasn't subscribed to the kitten working group.  What an egregious oversight.  Now fixed, however I can't be bothered digging through IMAP for his message in order to create a nicely threaded reply, so I'll just quote the text of it inline:

> Subject:
> [kitten] Requesting WG adoption of several SCRAM related documents
> Date:
> Tue, 26 Oct 2021 11:43:25 +0100
> From:
> Alexey Melnikov <[email-masked]>
> To:
> [email-masked] <[email-masked]>, Robbie Harwood <[email-masked]>
> 
> 
> Dear Kitten WG participants,
> 
> I would like to request WG adoption of several SCRAM related documents:
> 
> 1) Extensions to Salted Challenge Response (SCRAM) for 2 factor authentication
> <https://datatracker.ietf.org/doc/draft-melnikov-scram-2fa/>
> 
> There were some earlier discussions of this document and it seems to be in scope for the current charter.
> 
> 2) SCRAM-SHA-512 and SCRAM-SHA-512-PLUS Simple Authentication and Security Layer (SASL) Mechanisms
> <https://datatracker.ietf.org/doc/draft-melnikov-scram-sha-512/>
> 
> This is already implemented in Cyrus SASL, so it would be good to have stable documentation.
> 
> 3) SCRAM-SHA3-512 and SCRAM-SHA3-512-PLUS Simple Authentication and Security Layer (SASL) Mechanisms
> <https://datatracker.ietf.org/doc/draft-melnikov-scram-sha3-512/>
> 
> Best Regards,
> 
> Alexey
> 
> P.S. As I am editing various documents mentioned in this email, my co-chair Robbie will judge consensus on adoption of each document.

I have read these documents (it didn't take long, they are very short) and I agree that they're worth doing and that Kitten looks like the right place to do it.  They all need further work before publication.

I support their adoption as (probably still, since I subscribed 5 minutes ago) the newest member of this working group!

I even commit to review them again during the last call.

Cheers,

Bron.

--
  Bron Gondwana, CEO, Fastmail Pty Ltd
  [email-masked]